Subject: bug#598: 23.0.60; frame size issue (--geometry or default-frame-alist) when using customized default face

From: "Tim Van Holder" <[email-masked]>
Date: Wed, 8 Oct 2008 10:15:50 +0200

On Tue, Oct 7, 2008 at 2:09 PM, martin rudalics <[email-masked]> wrote:
>> Unfortunately, even after a maintainer-clean + make bootstrap, the issue
>> is not
>> resolved for me.  In fact, the very first run of the new emacs
>> resulted in a frame that
>> was 168x61 instead of 132x57 (is that 132x60->132x57 as a result of
>> menu/toolbars
>> considered a bug or a feature?).
>
> Could you try commenting out the code below from x_figure_window_size
> in frame.c and tell whether and how the behavior changes?
>
>  [code snipped]

No behavior change - I get frames of 132x57 and 168x61.
Some printf()s added in that function show that the block is indeed
never entered - perhaps it is called before the info is set from one
of the frame alists?
In fact, even if I force FRAME_TOOLBAR_LINES(f) to 1 before that if,
I get:

[x_figure_window_size] before toolbar check [yes/1]
[x_figure_window_size] block entered
[x_figure_window_size] relief = 1
[x_figure_window_size] margin = 4
[x_figure_window_size] bar_height = 34
[x_figure_window_size] FRAME_LINES (before) = 40
[x_figure_window_size] FRAME_LINES (afte4r) = 43

and the frame still ends up at 132x57.